WallFormationLayout (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.beanbox
Class WallFormationLayout

    java.lang.Object
      com.bbn.openmap.tools.beanbox.BeanLayoutManager
          com.bbn.openmap.layer.beanbox.WallFormationLayout

All Implemented Interfaces:
  java.io.Serializable

    public class WallFormationLayout

extends BeanLayoutManager

A layout manager for laying out SimpleBeanbObject beans in a wall formation. The WallFormationLayout object is itself a bean.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.tools.beanbox.BeanLayoutManager
`_container`

Constructor Summary
`WallFormationLayout()`
`WallFormationLayout(float sep, float bearing, SimpleBeanContainer c)`

Method Summary
`float` | `getBearingInDeg()`
`float` | `getSeparationInNM()`
`void` | `layoutContainer()` Called by the SimpleBeanContainer to layout its contents.
`void` | `setBearingInDeg(float bearing)`
`void` | `setSeparationInNM(float sep)`

Methods inherited from class com.bbn.openmap.tools.beanbox.BeanLayoutManager
`getContainer, setContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WallFormationLayout

    public WallFormationLayout()

### WallFormationLayout

    public WallFormationLayout(float sep,
                               float bearing,
                               SimpleBeanContainer c)

Method Detail

### getSeparationInNM

    public float getSeparationInNM()

### setSeparationInNM

    public void setSeparationInNM(float sep)

### getBearingInDeg

    public float getBearingInDeg()

### setBearingInDeg

    public void setBearingInDeg(float bearing)

### layoutContainer

    public void layoutContainer()

  Called by the SimpleBeanContainer to layout its contents.

  Specified by:
    `layoutContainer` in class `BeanLayoutManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details